SDL_AudioDriverImpl Struct Reference

`#include <SDL_sysaudio.h>`

## Data Fields

void(* | DetectDevices )(void)
int(* | OpenDevice )(_THIS, void *handle, const char *devname, int iscapture)
void(* | ThreadInit )(_THIS)
void(* | ThreadDeinit )(_THIS)
void(* | BeginLoopIteration )(_THIS)
void(* | WaitDevice )(_THIS)
void(* | PlayDevice )(_THIS)
int(* | GetPendingBytes )(_THIS)
Uint8 *(* | GetDeviceBuf )(_THIS)
int(* | CaptureFromDevice )(_THIS, void *buffer, int buflen)
void(* | FlushCapture )(_THIS)
void(* | PrepareToClose )(_THIS)
void(* | CloseDevice )(_THIS)
void(* | LockDevice )(_THIS)
void(* | UnlockDevice )(_THIS)
void(* | FreeDeviceHandle )(void *handle)
void(* | Deinitialize )(void)
int | ProvidesOwnCallbackThread
int | SkipMixerLock
int | HasCaptureSupport
int | OnlyHasDefaultOutputDevice
int | OnlyHasDefaultCaptureDevice
int | AllowsArbitraryDeviceNames

## Detailed Description

Definition at line 65 of file SDL_sysaudio.h.

## Field Documentation

## AllowsArbitraryDeviceNames

int SDL_AudioDriverImpl::AllowsArbitraryDeviceNames

Definition at line 94 of file SDL_sysaudio.h.

Referenced by open_audio_device().

## BeginLoopIteration

void(* SDL_AudioDriverImpl::BeginLoopIteration) (_THIS)

Definition at line 71 of file SDL_sysaudio.h.

Referenced by SDL_CaptureAudio(), and SDL_RunAudio().

## CaptureFromDevice

int(* SDL_AudioDriverImpl::CaptureFromDevice) (_THIS, void *buffer, int buflen)

Definition at line 76 of file SDL_sysaudio.h.

Referenced by DUMMYAUDIO_Init(), and SDL_CaptureAudio().

## CloseDevice

void(* SDL_AudioDriverImpl::CloseDevice) (_THIS)

Definition at line 79 of file SDL_sysaudio.h.

Referenced by close_audio_device().

## Deinitialize

void(* SDL_AudioDriverImpl::Deinitialize) (void)

Definition at line 83 of file SDL_sysaudio.h.

Referenced by SDL_AudioQuit().

## DetectDevices

void(* SDL_AudioDriverImpl::DetectDevices) (void)

Definition at line 67 of file SDL_sysaudio.h.

Referenced by SDL_AudioInit().

## FlushCapture

void(* SDL_AudioDriverImpl::FlushCapture) (_THIS)

Definition at line 77 of file SDL_sysaudio.h.

Referenced by SDL_CaptureAudio().

## FreeDeviceHandle

void(* SDL_AudioDriverImpl::FreeDeviceHandle) (void *handle)

SDL is done with handle from SDL_AddAudioDevice()

Definition at line 82 of file SDL_sysaudio.h.

Referenced by free_device_list(), and SDL_RemoveAudioDevice().

## GetDeviceBuf

Uint8*(* SDL_AudioDriverImpl::GetDeviceBuf) (_THIS)

Definition at line 75 of file SDL_sysaudio.h.

Referenced by SDL_RunAudio().

## GetPendingBytes

int(* SDL_AudioDriverImpl::GetPendingBytes) (_THIS)

Definition at line 74 of file SDL_sysaudio.h.

Referenced by SDL_GetQueuedAudioSize().

## HasCaptureSupport

int SDL_AudioDriverImpl::HasCaptureSupport

Definition at line 91 of file SDL_sysaudio.h.

Referenced by add_capture_device(), DUMMYAUDIO_Init(), open_audio_device(), SDL_AudioDetectDevices_Default(), and SDL_GetAudioDeviceName().

## LockDevice

void(* SDL_AudioDriverImpl::LockDevice) (_THIS)

Definition at line 80 of file SDL_sysaudio.h.

Referenced by finish_audio_entry_points_init(), SDL_ClearQueuedAudio(), SDL_DequeueAudio(), SDL_GetQueuedAudioSize(), SDL_LockAudioDevice(), SDL_OpenedAudioDeviceDisconnected(), SDL_PauseAudioDevice(), and SDL_QueueAudio().

## OnlyHasDefaultCaptureDevice

int SDL_AudioDriverImpl::OnlyHasDefaultCaptureDevice

Definition at line 93 of file SDL_sysaudio.h.

Referenced by DUMMYAUDIO_Init(), open_audio_device(), and SDL_AudioDetectDevices_Default().

## OnlyHasDefaultOutputDevice

int SDL_AudioDriverImpl::OnlyHasDefaultOutputDevice

Definition at line 92 of file SDL_sysaudio.h.

Referenced by DUMMYAUDIO_Init(), open_audio_device(), and SDL_AudioDetectDevices_Default().

## OpenDevice

int(* SDL_AudioDriverImpl::OpenDevice) (_THIS, void *handle, const char *devname, int iscapture)

Definition at line 68 of file SDL_sysaudio.h.

Referenced by DUMMYAUDIO_Init(), and open_audio_device().

## PlayDevice

void(* SDL_AudioDriverImpl::PlayDevice) (_THIS)

Definition at line 73 of file SDL_sysaudio.h.

Referenced by SDL_RunAudio().

## PrepareToClose

void(* SDL_AudioDriverImpl::PrepareToClose) (_THIS)

Called between run and draining wait for playback devices

Definition at line 78 of file SDL_sysaudio.h.

Referenced by SDL_RunAudio().

## ProvidesOwnCallbackThread

int SDL_AudioDriverImpl::ProvidesOwnCallbackThread

Definition at line 89 of file SDL_sysaudio.h.

Referenced by open_audio_device().

## SkipMixerLock

int SDL_AudioDriverImpl::SkipMixerLock

Definition at line 90 of file SDL_sysaudio.h.

Referenced by finish_audio_entry_points_init(), and open_audio_device().

## ThreadDeinit

void(* SDL_AudioDriverImpl::ThreadDeinit) (_THIS)

Definition at line 70 of file SDL_sysaudio.h.

Referenced by SDL_CaptureAudio(), and SDL_RunAudio().

## ThreadInit

void(* SDL_AudioDriverImpl::ThreadInit) (_THIS)

Definition at line 69 of file SDL_sysaudio.h.

Referenced by SDL_CaptureAudio(), and SDL_RunAudio().

## UnlockDevice

void(* SDL_AudioDriverImpl::UnlockDevice) (_THIS)

Definition at line 81 of file SDL_sysaudio.h.

Referenced by finish_audio_entry_points_init(), SDL_ClearQueuedAudio(), SDL_DequeueAudio(), SDL_GetQueuedAudioSize(), SDL_OpenedAudioDeviceDisconnected(), SDL_PauseAudioDevice(), SDL_QueueAudio(), and SDL_UnlockAudioDevice().

## WaitDevice

void(* SDL_AudioDriverImpl::WaitDevice) (_THIS)

Definition at line 72 of file SDL_sysaudio.h.

Referenced by SDL_RunAudio().

The documentation for this struct was generated from the following file:

- src/audio/SDL_sysaudio.h